Bug 31458

Summary: bugzilla-tool should post git binary diff
Product: WebKit Reporter: Shinichiro Hamaji <hamaji>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on: 31457    
Bug Blocks:    
Attachments:
Description Flags
Patch v1
none
Patch v2 none

Description Shinichiro Hamaji 2009-11-12 23:29:34 PST
As we are getting ready for handling git binary patches, let's add --binary option into Git.create_patch() in scm.py.
Comment 1 Shinichiro Hamaji 2009-11-12 23:30:45 PST
Created attachment 43139 [details]
Patch v1
Comment 2 Shinichiro Hamaji 2009-11-12 23:31:38 PST
Note that the unittest I added will fail due to Bug 31457 .
Comment 3 Shinichiro Hamaji 2009-11-12 23:37:07 PST
Comment on attachment 43139 [details]
Patch v1

Ah, I should have modified
create_patch_from_local_commit and create_patch_since_local_commit as well. Clearing the review bit.
Comment 4 Shinichiro Hamaji 2009-11-13 00:05:50 PST
Created attachment 43141 [details]
Patch v2
Comment 5 Shinichiro Hamaji 2009-11-13 00:07:02 PST
(In reply to comment #4)
> Created an attachment (id=43141) [details]
> Patch v2

I added --binary flag for these two commands as well.
Comment 6 Eric Seidel (no email) 2009-11-13 13:14:54 PST
Comment on attachment 43141 [details]
Patch v2

LGTM.
Comment 7 Adam Barth 2009-11-15 15:32:43 PST
Comment on attachment 43141 [details]
Patch v2

Clearing flags on attachment: 43141

Committed r51005: <http://trac.webkit.org/changeset/51005>
Comment 8 Adam Barth 2009-11-15 15:32:48 PST
All reviewed patches have been landed.  Closing bug.
Comment 9 Shinichiro Hamaji 2009-11-15 21:40:26 PST
(In reply to comment #8)
> All reviewed patches have been landed.  Closing bug.

Thanks for landing this patch. However, this patch will make unittest (GitTest.test_create_binary_patch) fail until Bug 31457 will be fixed. I guess we don't need to rollback this change because unittests aren't running in buildbot. I'll ask someone to review Bug 31457. I think I should have set commit-queue- for this patch to mention this fact, sorry.